For the complete documentation index, see llms.txt. This page is also available as Markdown.

User Login Modes

User login modes [GET]

get
/api/Public/UserLoginModes/GetUserLoginModes
Authorizations
AuthorizationstringRequired

JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.

Query parameters
emailIdstringRequired
Responses
200

OK

application/json
isSuccessbooleanOptional
messagesstring[] · nullableOptional
errorCodeinteger · int32Optional
errorKeystring · nullableOptional
get/api/Public/UserLoginModes/GetUserLoginModes
GET /api/Public/UserLoginModes/GetUserLoginModes?emailId=text HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "isSuccess": true,
  "messages": [
    "text"
  ],
  "errorCode": 1,
  "errorKey": "text",
  "response": {
    "subscriberID": 1,
    "name": "text",
    "parentID": 1,
    "isEmailVerified": true,
    "isInternalUser": true,
    "loginModes": [
      {
        "loginID": 1,
        "loginType": "text",
        "subscriberID": 1
      }
    ],
    "idpDetails": {
      "issuer": "text",
      "loginURL": "text",
      "loginRequest": 1,
      "logoutURL": "text",
      "logoutRequest": 1,
      "certificate": "text"
    },
    "trustedLogins": [
      {
        "rulename": "text",
        "startIPAddress": "text",
        "endIPAddress": "text"
      }
    ]
  }
}

User login modes [POST]

post
/api/Public/UserLoginModes/GetUserLoginModes
Authorizations
AuthorizationstringRequired

JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.

Body
emailIdstring · email · max: 100Required
Responses
200

OK

application/json
isSuccessbooleanOptional
messagesstring[] · nullableOptional
errorCodeinteger · int32Optional
errorKeystring · nullableOptional
post/api/Public/UserLoginModes/GetUserLoginModes
POST /api/Public/UserLoginModes/GetUserLoginModes HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 28

{
  "emailId": "name@gmail.com"
}
{
  "isSuccess": true,
  "messages": [
    "text"
  ],
  "errorCode": 1,
  "errorKey": "text",
  "response": {
    "subscriberID": 1,
    "name": "text",
    "parentID": 1,
    "isEmailVerified": true,
    "isInternalUser": true,
    "loginModes": [
      {
        "loginID": 1,
        "loginType": "text",
        "subscriberID": 1
      }
    ],
    "idpDetails": {
      "issuer": "text",
      "loginURL": "text",
      "loginRequest": 1,
      "logoutURL": "text",
      "logoutRequest": 1,
      "certificate": "text"
    },
    "trustedLogins": [
      {
        "rulename": "text",
        "startIPAddress": "text",
        "endIPAddress": "text"
      }
    ]
  }
}

Last updated